<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view>

<jsp:include page="header1.jsp" />
Home
<jsp:include page="header2.jsp" />

<b><h:messages /></b>

<h4>Tasklist</h4>
<h:dataTable value="#{homeBean.taskInstances}" var="taskInstance" headerClass="tableheader" columnClasses="tablecell">
  <h:column >
    <f:facet name="header">
      <h:outputText value="Task Form Link" />
    </f:facet>
    <h:commandLink action="#{homeBean.selectTaskInstance}">
      <f:param name="taskInstanceId" value="#{taskInstance.id}"/>
      <h:outputText value="#{taskInstance.name}" />
    </h:commandLink>
  </h:column>
  <h:column>
    <f:facet name="header">
      <h:outputText value="Process" />
    </f:facet>
    <h:outputText value="#{taskInstance.taskMgmtInstance.taskMgmtDefinition.processDefinition.name}" />
  </h:column>
  <h:column>
    <f:facet name="header">
      <h:outputText value="Version" />
    </f:facet>
    <h:outputText value="#{taskInstance.taskMgmtInstance.taskMgmtDefinition.processDefinition.version}" />
  </h:column>
</h:dataTable> 

<h4>Start New Process Execution</h4>
<h:dataTable value="#{homeBean.latestProcessDefinitions}" var="processDefinition" headerClass="tableheader" columnClasses="tablecell">
  <h:column>
    <f:facet name="header">
      <h:outputText value="Start Process Link" />
    </f:facet>
    <h:commandLink action="#{homeBean.startProcessInstance}">
      <f:param name="processDefinitionId" value="#{processDefinition.id}"/>
      <h:outputText value="#{processDefinition.taskMgmtDefinition.startTask.name}" />
    </h:commandLink>
  </h:column>
  <h:column>
    <f:facet name="header">
      <h:outputText value="Process" />
    </f:facet>
    <h:outputText value="#{processDefinition.name}" />
  </h:column>
  <h:column>
    <f:facet name="header">
      <h:outputText value="Version" />
    </f:facet>
    <h:outputText value="#{processDefinition.version}" />
  </h:column>
</h:dataTable> 

<jsp:include page="footer.jsp" />
</f:view>
