<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://myfaces.apache.org/extensions" prefix="x"%>
<%@ taglib uri="/WEB-INF/jbpm.tld" prefix="jbpm" %>

<f:view locale="#{facesContext.externalContext.request.locale}">
<f:loadBundle basename="messages" var="msgs"/>

<jsp:include page="header1.jsp" />
Inspect Instance
<jsp:include page="header2.jsp" />

<b><h:messages/></b>

<br />
<i><h:commandLink styleClass="standard" value="Refresh" action="#{processInstanceBean.inspectProcessInstance}" style="float: right;" ><h:outputText value=" page" /></h:commandLink></i>
<h:outputText value="Process Instance Id"/>: 
<b><h:commandLink styleClass="standard" value="#{processInstanceBean.id}" action="#{processInstanceBean.inspectProcessInstance}" /></b>
<br />
<h:outputText value="Process Definition"/>: 
<b><h:commandLink value="#{processInstanceBean.processDefinitionLabel}" action="#{processInstanceBean.showProcessInstances}" /></b>
<br />
<h:outputText value="Process Instance Start"/>: 
<b>
	<h:outputText value="#{processInstanceBean.start}">
		<f:convertDateTime type="both"/>
	</h:outputText>
</b>
<br />
<h:outputText value="Process Instance End"/>: 
<b>
	<h:outputText value="#{processInstanceBean.end}">
		<f:convertDateTime type="both"/>
	</h:outputText>
</b>
<br />

<hr>

	<h4>Tasks</h4>
	
	<h:dataTable value="#{processInstanceBean.tasks}" var="task" headerClass="tableheader" columnClasses="tablecell" >

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="Id"/> 
		    </f:facet> 		
			<h:outputText value="#{task.taskInstanceId}"/>
	 	</h:column>
	 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="Name"/> 
		    </f:facet> 		
			<h:outputText value="#{task.name}"/>
	 	</h:column>
	 		 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="ActorId"/> 
		    </f:facet> 		
			<h:outputText value="#{task.actorId}"/>
	 	</h:column>

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="Date"/> 
		    </f:facet> 		
			<h:outputText value="#{task.end}">
				<f:convertDateTime type="both"/>
			</h:outputText>
	 	</h:column>

		<h:column>
			<h:commandLink rendered="#{task.ended}" action="#{processInstanceBean.endTask}" >
				<h:outputText value="End Task"/>
				<f:param name="taskInstanceId" value="#{task.taskInstanceId}"/>
			</h:commandLink>  		    
	 	</h:column>

	</h:dataTable>	

	<h4>Variables</h4>
	
	<h:dataTable value="#{processInstanceBean.variables}" var="variable" headerClass="tableheader" columnClasses="tablecell" >
	 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.name}"/> 
		    </f:facet> 		
			<h:outputText value="#{variable.name}"/>
	 	</h:column>
	 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.value}"/> 
		    </f:facet> 		
			<h:outputText value="#{variable.value}"/>
	 	</h:column>

	</h:dataTable>	

	<br />
    <h:form>
		Variable Name:  
		<h:inputText value="#{processInstanceBean.variableName}" />
		<br />
		Variable Value:  
		<h:inputText value="#{processInstanceBean.variableValue}" />
		<br />
		<h:commandButton value="Update" action="#{processInstanceBean.updateVariable}" />
		<br />

	</h:form>
	
	<h4>Tokens</h4>
	
	<h:dataTable value="#{processInstanceBean.tokens}" var="token" headerClass="tableheader" columnClasses="tablecell" >

	 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.name}"/> 
		    </f:facet> 		
			<h:outputText value="#{token.label}"/>
	 	</h:column>
	 	
		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.id}"/> 
		    </f:facet> 	
			<h:outputText value="#{token.id}"/>
	 	</h:column>

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="Node name"/> 
		    </f:facet> 		
		    <h:commandLink rendered="#{token.id != processInstanceBean.tokenInstanceId}" action="#{processInstanceBean.selectToken}">
				<h:outputText value="#{token.nodeName}"/>
				<f:param name="tokenInstanceId" value="#{token.id}"/>
			</h:commandLink>
			<h:panelGroup rendered="#{token.id == processInstanceBean.tokenInstanceId}">
				<f:verbatim><b></f:verbatim>
				<h:outputText value="#{token.nodeName}"/>			
				<f:verbatim></b></f:verbatim>
			</h:panelGroup>
	 	</h:column>

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="Node type"/> 
		    </f:facet> 		
			<h:outputText value="#{token.nodeType}"/>
	 	</h:column>

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.start}"/> 
		    </f:facet> 		
			<h:outputText value="#{token.start}">
				<f:convertDateTime type="both"/>
			</h:outputText>
	 	</h:column>

		<h:column>
		    <f:facet name="header"> 
		        <h:outputText value="#{msgs.end}"/> 
		    </f:facet> 		
			<h:outputText value="#{token.end}">
				<f:convertDateTime type="both"/>
			</h:outputText>
	 	</h:column>

		<h:column>
			<h:commandLink rendered="#{token.signal}" action="#{processInstanceBean.signal}" >
				<h:outputText value="Send Signal"/>
				<f:param name="tokenInstanceId" value="#{token.id}"/>
			</h:commandLink>  		    
	 	</h:column>
	</h:dataTable>	

	<br /><br />
	<jbpm:processimageToken token="${processInstanceBean.tokenInstanceId}"/>

	

<jsp:include page="footer.jsp" />
</f:view>
